# Fn<> Cargo
Type of additional data stored in an object.

Defined in | <seqan/basic.h>
Signature | `Cargo<T>::Type;`

## Template Parameters

`T` | Type for which the cargo tpye is queried.

## Return Values

`Type` | The cargo type of `T`.

## Detailed Description

The definition of Cargo allows the addition of user-specified data into existing data structures.

#### Dox Sources

    /*!
     * @mfn Cargo
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Type of additional data stored in an object.
     *
     * @signature Cargo<T>::Type;
     *
     * @tparam T Type for which the cargo tpye is queried.
     *
     * @return Type The cargo type of <tt>T</tt>.
     *
     * The definition of Cargo allows the addition of user-specified data into
     * existing data structures.
     */